*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body{
    background: black;
    color: white;
}

#header-portion{
    width: 100%;
    height: 160vh;
    background-image: url(images/unnamed.jpg);
    background-size: cover;
    background-position: center;
}

#header{
    position: fixed;
    top: 0px;
    display: block;
    padding: 0px 10%;
    background-color: black;
    width: 100%;
    height: 60px;
    transition: top 0.5s;
    margin: auto;
    z-index: 999;
}

.logo{
    width: 90px;
    position: absolute;
    left: 10px;
    top: 0px;
}

nav{
    padding-top: 20px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
}

nav ul{
    position: center;
}

nav ul li{
    display: inline-block;
    list-style: none;
    margin: 0px 20px;
}

nav ul li a{
    color: rgb(255, 255, 255);
    text-decoration: none;
    font-size: 20px;
    position: relative;
}

nav ul li a:hover{
    width: 100%;
    color: rgb(189, 187, 187);
    transition: 0.5s;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #791aa5;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after{
    width: 100%;
}

.header-text{
    width: 600px;
    position: absolute;
    left: 650px;
    margin-top: 20%;
    font-size: 100px;
    font-weight: 600;
    text-align: center;
    color: rgb(255, 255, 255);
}


.header-text h1{
    font-size: 30px;
    text-align: center;
}

/* -------------about-----------  */
#about{
    padding: 80px 80px;
    color: #ababab;
    background-color: #262626;
}

.row{
    displaY: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.col-1{
    flex-basis: 35%;
}
.col-1 img{
    width: 100%;
    border-radius: 50px;
}

.col-2{
    flex-basis: 60%;
}

.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
}

.col-2 p{
    padding: 5px;
}

.tabs{
    display:flex;
    margin: 20px 0 40px;
}

.links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #791aa5;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

.links.active-link::after{
    width: 100%;
}

.content ul li{
    list-style: none;
    margin: 10px 0;
}

.content ul li span{
    color: #791aa5;
}

.content{
    display: none;
}

.content.active-tab{
    display: block;
}

/* -------------portfolio-----------  */
#portfolio{
    padding: 50px 80px;
    background-color: rgb(0, 0, 0);
    text-align: center;
}

.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.work{
    border-radius:  10px;
    position: relative;
    overflow: hidden;
}

.work img{
    width: 100%;
    height: 100%;
    border-radius: 10px;
    display: block;
    object-fit: cover;
}

.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6), #791aa5);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 30px;
    text-align: center;
    font-size: 14px;
    transition: opacity 1.5s ease-in-out;
}


.layer h3{
    font-weight: 900;
    font-size: 20px;
    margin-bottom: 20px;
    color: #fff;
}

.layer p{
    color: #fff;
}

.work:hover img{
    transform: scale(1.1);
    transition: 0.5s;
}

.work:hover .layer{
    height: 100%;
}


/* -------------resume-----------  */
#resume{
    padding: 50px 0px;
    background-color: rgb(26, 26, 26);
    text-align: center;
}

.pdf{
    margin-top: 50px;
}

/* -------------contact-----------  */
#contact{
    padding: 50px 80px;
    background-color: rgb(0, 0, 0);
    text-align: center;
}

.social-icons a{
    color: #480e63;
    font-size: 25px;
    margin-right: 10px;
    margin-top: 10px;
    transition: 0.5s;
    display: inline-block;
}

.social-icons a:hover{
    color: #fff;
    transform: translateY(-5px);
}

.contact-container form{
    position: absolute;
    right: 28%;
    width: 44%;
    padding-top: 20px ;
}

form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 10px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
}

.btn{
    display: block;
    background: #000000;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #480e63;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5s;
}

.btn:hover{
    background: #480e63;
}

.btn:active{
    background: #fff;
    color: #000000;
}

#msg{
    color: #61b752;
    position: center;
    display: block;
    margin-top: 20px;
}

.ending{
    position: relative;
    bottom: 10px;
}

/* ---------css for mobile---------- */
nav .fa-solid{
    display: none;
}

@media only screen and (max-width:600px){

    .header-text{
        font-size: 20px;
        position: absolute;
        left: 0;
        top: 20%;
        width: 100%;
        height: 100%;
    }

    #header-portion{
        height: 100vh;
    }

    
    nav .fa-solid{
        display: block;
        font-size: 25px;
    }

    nav ul{
        background: #000000;
        position: fixed;
        top: 0;
        right: -150px;
        width: 150px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: 0.5s;
    }

    nav ul li{
        display: block;
        margin: 25px;
    }

    nav ul .fa-solid{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }

    nav .fa-solid{
        position: absolute;
        right: 20px;
        top: 17px;
    }

    .sub-title{
        font-size: 35px;
    }

    .about-container .col-2{
        padding: 0;
    }

    .col-1, .col-2{
        flex-basis: 100%;
    }

    .col-1{
        margin-bottom: 20px;
    }

    .col-1 .img{
        border-radius: 0px;
    }

    .col-2{
        position: relative;
        right: 30px;
        font-size: 16px;
    }

    .col-2 .sub-title{
        position: relative;
        left: 20%;
    }

    .col-2 h1{
        flex-basis: 100%;
    }

    .links{
        font-size: 16px;
        margin-right: 20px;
    }

    .work-list{
        position: relative;
        right: 5%;
    }

    embed {
        width: 80%;
        height: 50vh;
    }

    .contact-container form{
        position: absolute;
        right: 20%;
        width: 60%;
        padding-top: 20px;
    }

    html, body { 
        overflow-x: hidden;
    }
    
    .social-icons a{
    color: #480e63;
    }
}